Skip to main content
GET
/
schedule-management
/
v1
/
anomalies
List Anomalies
curl --request GET \
  --url https://api.engrate.io/schedule-management/v1/anomalies \
  --header 'Authorization: <api-key>'
{
  "items": [
    {
      "business_type": "<string>",
      "business_type_label": "<string>",
      "created_ts": "<string>",
      "in_area": "<string>",
      "in_party": "<string>",
      "interval_count": 123,
      "market": "<string>",
      "out_area": "<string>",
      "out_party": "<string>",
      "reason_codes": [
        {}
      ],
      "series_id": "<string>",
      "time_interval": "<string>",
      "uid": "<string>",
      "schedule_uid": "<string>"
    }
  ],
  "total_count": 123
}

Authorizations

Authorization
string
header
required

Query Parameters

tso
string | null

Filter by TSO identifier. DE values: '50HERTZ_DE_TSO', 'DE-AMPRION-TSO', 'TTG_DE', 'DE-TRANSNETBWTSO'. NL value: 'TENNET_TSO'.

date_from
string<date> | null

Start date filter (YYYY-MM-DD), inclusive.

date_to
string<date> | null

End date filter (YYYY-MM-DD), inclusive.

market
enum<string> | null

Filter by market: 'DE' or 'NL'. Omit to query both.

Available options:
DE,
NL,
germany,
netherlands

Response

Successful Response

Cross-schedule anomaly overview containing all anomaly records matching the query filters.

items
AnomalyOverviewItem · object[]
required

Anomaly records matching the filters.

total_count
integer
required

Total number of matching records.

Example:

5